package be.iminds.ilabt.jfed.lowlevel.user;

import be.iminds.ilabt.jfed.lowlevel.userloginmodel.InvalidLoginException;

/**
 * User: twalcari
 * Date: 7/14/2016
 * Time: 15:04
 */
public interface UserLoginInfoManager {

    void save(UserLoginInfo userLoginInfo);

    UserLoginInfo load() throws InvalidLoginException;

    UserLoginInfo reset();

    UserLoginInfo defaults();

}
